umbrello: Php::PHPIncludeFileVisitor Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Php::PHPIncludeFileVisitor Class Reference
Inheritance diagram for Php::PHPIncludeFileVisitor:

## Public Member Functions
| PHPIncludeFileVisitor (TokenStream *str, const QString &content=QString())
void | setFilePath (const QString &path)
void | setVariableMapping (VariableMapping &map)
void | setDependencies (QStringList &dependencies)
virtual void | visitUnaryExpression (UnaryExpressionAst *node)
void | visitIncludeExpression (UnaryExpressionAst *node)

## Public Attributes
TokenStream * | m_str
QString | m_content
int | m_indent
QStringList * | m_dependencies
QString | m_filePath
VariableMapping | m_map

## Constructor & Destructor Documentation

## ◆ PHPIncludeFileVisitor()

Php::PHPIncludeFileVisitor::PHPIncludeFileVisitor | ( | TokenStream * | str,
|  | const QString & | content = `QString()`
| ) |  |
| inline

## Member Function Documentation

## ◆ setDependencies()

void Php::PHPIncludeFileVisitor::setDependencies | ( | QStringList & | dependencies | ) |
| inline

## ◆ setFilePath()

void Php::PHPIncludeFileVisitor::setFilePath | ( | const QString & | path | ) |
| inline

## ◆ setVariableMapping()

void Php::PHPIncludeFileVisitor::setVariableMapping | ( | VariableMapping & | map | ) |
| inline

## ◆ visitIncludeExpression()

void Php::PHPIncludeFileVisitor::visitIncludeExpression | ( | UnaryExpressionAst * | node | ) |
| inline

## ◆ visitUnaryExpression()

virtual void Php::PHPIncludeFileVisitor::visitUnaryExpression | ( | UnaryExpressionAst * | node | ) |
| inlinevirtual

## Member Data Documentation

## ◆ m_content

QString Php::PHPIncludeFileVisitor::m_content

## ◆ m_dependencies

QStringList* Php::PHPIncludeFileVisitor::m_dependencies

## ◆ m_filePath

QString Php::PHPIncludeFileVisitor::m_filePath

## ◆ m_indent

int Php::PHPIncludeFileVisitor::m_indent

## ◆ m_map

VariableMapping Php::PHPIncludeFileVisitor::m_map

## ◆ m_str

TokenStream* Php::PHPIncludeFileVisitor::m_str

The documentation for this class was generated from the following file:

- umbrello/codeimport/phpimport.cpp